# Import file "framer"
sketch = Framer.Importer.load("imported/framer@1x")

scroll = ScrollComponent.wrap sketch.menu
scroll_tasks = ScrollComponent.wrap sketch.tasklist
scroll_tasks.scrollHorizontal = false
scroll.scrollVertical = false
scroll.speedX = 0.6
scroll.contentInset = { right: 0, left: 0	}
scroll_tasks.contentInset = { right: 0, left: 15 }
sketch.taskfull.animate
	properties: { opacity: 0, scale: 0, x: Align.center, y: 400 }   
	time:0 
sketch.teamlist.animate 
		properties: {opacity: 0}
		time: 0
sketch.taskcarts2.animate
	properties: { opacity: 0, scale: 0.8, x: -700 }   
	time:0 
# Menu scroll
scroll.onScroll ->
    # When below -10, animate a layer 
    if scroll.scrollX > 30
        sketch.task.animate
            properties: { opacity: 0.7, blur: 3 }
            curve: "linear"
            time: 0.2
        sketch.trafic.animate
            properties: { opacity: 0.7, blur: 3 }
            curve: "ease-in-out" 
    if scroll.scrollX < 30
        sketch.task.animate
            properties: { opacity: 1, blur: 0 }
            curve: "linear"
            delay: 0
            time: 0.2
        sketch.trafic.animate
            properties: { opacity: 1, blur: 0 }
            curve: "ease-in-out"  	             
                 
sketch.projects .onTap ->
	 sketch.tasklist.animate
	 	properties: { opacity: 1, y: 300 }
	 	curve: "ease-in-out" 
	 	time: 0.3 		 	 
	 	  
# Teams & Projects	 
sketch.tasklist.states.add
   slide: 
   	y: 280
sketch.teamlist.states.add
	show:
	 opacity: 1
	hide:
	 opacity: 0
sketch.teams.onTap ->
	sketch.tasklist.states.next()
	sketch.teamlist.states.next()
sketch.tasklist.states.animationOptions = {
	curve: 'spring(200, 20, 0)'
	time: 0.5
}
sketch.teamlist.states.animationOptions = {
	time: 0.2
}
	
# Drag task fullScreen

sketch.taskcarts1_copy.onTap ->
	sketch.taskfull.visible = true
	sketch.taskfull.animate
		properties: { opacity: 1, scale: 1}
		time: 0.5
		curve: "ease-in-out"
	sketch.taskfull.shadowY = 26
	sketch.taskfull.shadowBlur = 100
	sketch.taskfull.shadowSpread = 20
	sketch.taskfull.shadowColor = "rgba(16,11,50,0.20)"
	sketch.taskfull.borderRadius = 20
	sketch.firstscreen.animate
		properties: { blur: 10}
sketch.menu.onTap ->
	sketch.firstscreen.animate 
		properties: { blur: 0 }
	sketch.taskfull.animate
		properties: {opacity:0, scale: 0, y: 400}	
		curve: "ease-out"
		time: 0.2
	scroll_tasks.scrollVertical = true
sketch.Group_81.onTap ->
	sketch.larissa.visible = true		
	sketch.terrence.animate
		properties: {opacity: 0}
		time: 0	
	sketch.larissa.animate
		properties: {opacity: 1}
		time: 0		
	sketch.Group_51.animate 
		properties: {scale: 0.85, y: 55, x: 317}
	sketch.Group_81.animate
		properties: {scale: 1.2, x: 186}	
	sketch.taskcarts1.animate
		properties: {opacity:0, x: 700, scale: 0.8}
	sketch.taskcarts2.animate
		properties: {opacity: 1, scale: 1, x: Align.center}
	sketch.Group_81.shadowY = 20
	sketch.Group_81.shadowBlur = 35
	sketch.Group_81.shadowSpread = 10
	sketch.Group_81.shadowColor = "rgba(0,11,0,0.07)"
	sketch.Group_51.shadowColor = "rgba(0,11,0,0)"		
		
sketch.Group_51.onTap ->
	sketch.larissa.animate
		properties: {opacity: 0}
		time: 0	
	sketch.Group_51.shadowY = 20
	sketch.Group_51.shadowBlur = 35
	sketch.Group_51.shadowSpread = 10
	sketch.Group_51.shadowColor = "rgba(0,11,0,0.07)"
	sketch.Group_81.shadowColor = "rgba(0,11,0,0)"				
	sketch.terrence.animate
		properties: {opacity: 1}
		time: 0			
	sketch.Group_81.animate 
		properties: {scale: 1, x: 175}
		
	sketch.Group_51.animate
		properties: {scale: 1, x: 307}			
	sketch.taskcarts1.animate
		properties: {opacity:1, x: Align.center, scale: 1}
	sketch.taskcarts2.animate
		properties: { opacity: 0, scale: 0.8, x: -700 }
sketch.tasklist.onSwipeLeft ->
	sketch.larissa.animate
		properties: {opacity: 0}
		time: 0		
	sketch.terrence.animate
		properties: {opacity: 1}
		time: 0			
	sketch.Group_51.animate 
		properties: {scale: 1, x: 175}
	sketch.Group_51.animate
		properties: {scale: 1, x: 307}			
	sketch.taskcarts1.animate
		properties: {opacity:1, x: Align.center, scale: 1}
	sketch.taskcarts2.animate
		properties: { opacity: 0, scale: 0.8, x: -700 }
sketch.header.onSwipeLeft 
	sketch.header.animate
		properties: {blur: 200}